Subject: bug#12371: macroexp--funcall-if-compiled broke bootstrap for me

From: Stefan Monnier <[email-masked]>
Date: Thu, 20 Sep 2012 08:43:48 -0400

> I've run into the same problems this morning, and this patch solves
> the problems for me:

> The first one I think just is a line gone missing.

No, I removed that line on purpose (an autoload entry shouldn't have
a nil in position 1, so it should be a redundant test).

> The next chunk extracts (car form) before it's to late, as form goes
> about being changed before the closure is being called.

Duh, sorry 'bout that.  Please install your patch,

        Stefan